package de.jottyfan.timetrack.modules;

import javax.faces.context.FacesContext;

import org.jooq.DSLContext;
import org.jooq.TableLike;

import de.jooqFaces.EJooqApplicationScope;

/**
 * 
 * @author henkej
 *
 */
public class JooqGateway
{
	private final FacesContext facesContext;

	public JooqGateway(FacesContext facesContext)
	{
		this.facesContext = facesContext;
	}

	public DSLContext getJooq()
	{
		return (DSLContext) facesContext.getExternalContext().getApplicationMap().get(EJooqApplicationScope.JOOQ_FACES_DSLCONTEXT.get());
	}
	
	public Integer getFkLogin() {
		// TODO: make a login, add the profile id to the session and read it here from facesContext
		return 1;
	}
	
	/**
	 * return amount of "select count(1) as amount " + subQuery
	 * 
	 * @param subQuery
	 * @return number of entries
	 */
	public Long getAmount(TableLike<?> table)
	{
		return getJooq().selectCount().from(table).fetchOne(0, long.class);
	}
}
