package de.jottyfan.timetrack.modules.done;

/**
 * 
 * @author henkej
 *
 */
public class WholeDaySummaryBean {
	private final String startTime;
	private final String endTime;
	private final String workTime;
	private final String breakTime;

	public WholeDaySummaryBean(String startTime, String endTime, String workTime, String breakTime) {
		super();
		this.startTime = startTime;
		this.endTime = endTime;
		this.workTime = workTime;
		this.breakTime = breakTime;
	}

	public String getOvertime() {
		if (workTime != null && !workTime.trim().isEmpty() && workTime.contains(":")) {
			try {
				Integer hours = Integer.valueOf(workTime.substring(0, workTime.indexOf(":")));
				Integer minutes = Integer.valueOf(workTime.substring(workTime.indexOf(":") + 1));
				Integer wholeMinutes = hours * 60 + minutes;
				Integer overtime = wholeMinutes - (7 * 60 + 48);
				Integer overtimeHours = overtime / 60;
				Integer overtimeMinutes = overtime % 60;
				StringBuilder buf = new StringBuilder();
				if (overtime < 0) {
					buf.append("-");
					overtimeHours *= -1;
					overtimeMinutes *= -1;
				}
				buf.append(String.format("%02d", overtimeHours));
				buf.append(":");
				buf.append(String.format("%02d", overtimeMinutes));
				return buf.toString();
			} catch (NumberFormatException e) {
				return "";
			}
		}
		return "-07:48";
	}

	public String getStartTime() {
		return startTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public String getWorkTime() {
		return workTime;
	}

	public String getBreakTime() {
		return breakTime;
	}
}
