package de.jottyfan.timetrack.moduls.done;

import static org.junit.Assert.assertEquals;

import java.time.LocalDateTime;

import org.junit.Test;

import de.jottyfan.timetrack.modules.done.DoneBean;

/**
 * 
 * @author henkej
 *
 */
public class TestDoneBean {

	@Test
	public void testGetLocalDateTimeFromHHmm() {
		LocalDateTime ldt = LocalDateTime.now();
		ldt = ldt.withSecond(0).withNano(0);
		assertEquals(ldt.withHour(0).withMinute(0), new DoneBean().getLocalDateTimeFromHHmm("0:0"));
		assertEquals(ldt.withHour(0).withMinute(5), new DoneBean().getLocalDateTimeFromHHmm("0:5"));
		assertEquals(ldt.withHour(3).withMinute(2), new DoneBean().getLocalDateTimeFromHHmm("3:2"));
		assertEquals(ldt.withHour(3).withMinute(2), new DoneBean().getLocalDateTimeFromHHmm("03:2"));
		assertEquals(ldt.withHour(10).withMinute(2), new DoneBean().getLocalDateTimeFromHHmm("10:2"));
		assertEquals(ldt.withHour(12).withMinute(2), new DoneBean().getLocalDateTimeFromHHmm("12:02"));
		assertEquals(ldt.withHour(12).withMinute(20), new DoneBean().getLocalDateTimeFromHHmm("12:20"));
		assertEquals(null, new DoneBean().getLocalDateTimeFromHHmm(null));
		assertEquals(null, new DoneBean().getLocalDateTimeFromHHmm(""));
		assertEquals(null, new DoneBean().getLocalDateTimeFromHHmm("  "));
		assertEquals(ldt.withHour(0).withMinute(0), new DoneBean().getLocalDateTimeFromHHmm("0"));
		assertEquals(ldt.withHour(1).withMinute(0), new DoneBean().getLocalDateTimeFromHHmm("1"));
		assertEquals(ldt.withHour(5).withMinute(0), new DoneBean().getLocalDateTimeFromHHmm("5"));
	}
}
